Subject: Re: bug#49424: 27.2; Misdocumented default initialisation file

From: Rudolf Schlatte <[email-masked]>
Date: Wed, 07 Jul 2021 13:28:30 +0200

Robert Pluim <[email-masked]> writes:

>>>>>> On Tue, 06 Jul 2021 17:11:38 +0200, Lars Ingebrigtsen <[email-masked]> said:
>
>     Lars> Peter Oliver <[email-masked]> writes:
>     >> The info page “49.4.4 How Emacs Finds Your Init File” says:
>     >> 
>     >>> For brevity the rest of the Emacs documentation generally uses just
>     >>> the current default location ‘~/.emacs.d/init.el’ for the init file.
>     >> 
>     >> However, this seems to be inaccurate: if I start Emacs as a new user
>     >> and make a customisation, that customisation is written to ~/.emacs.
>
> Yes, we should change that to say '~/.emacs'
>
>     Lars> That is indeed the case still in Emacs 28 -- I thought we'd changed that
>     Lars> to prefer either XDG paths or ~/.emacs.d/init.el when there's no
>     Lars> previous init file?
>
> Emacs will prefer the XDG path if it exists and .emacs.d/init.el and
> .emacs donʼt. Similarly Emacs will prefer .emacs.d/init.el if it
> exists and .emacs doesnʼt.

I wonder if it would make sense to warn during startup if more than one
of these files exist, something like: "Warning: multiple init files
detected.  Using ~/.emacs as init file, ignoring ~/.emacs.d/init.el"